#!/bin/sh
DIR=$1	#Output filename
POLYGON=$2	#Crop Window

BOX=$(polygonToBox.py "$POLYGON")

##------------------------------------------------------------------------------
cd $DIR
DIRNAME=$(echo $DIR | cut -d"/" -f1)
echo $DIRNAME
##------------------------------------------------------------------------------
MERGEDIMAGE=$DIRNAME"_TCI_10m_merged.tif"
if [  ! -e $MERGEDIMAGE  ]; then
	echo "gdal_merge.py -o "$MERGEDIMAGE $(ls *TCI_10m.jp2)
	gdal_merge.py -o $MERGEDIMAGE $(ls *TCI_10m.jp2)
else
	echo PASSING $MERGEDIMAGE FOUND
fi

CROPEDIMAGE=../merged/$DIRNAME"_TCI_10m.tif"
if [  ! -e $CROPEDIMAGE  ]; then
	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $MERGEDIMAGE $CROPEDIMAGE
else
	echo PASSING $CROPEDIMAGE FOUND
fi
##------------------------------------------------------------------------------
MERGEDIMAGE=$DIRNAME"_SCL_20m_merged.tif"
if [  ! -e $MERGEDIMAGE  ]; then
	echo "gdal_merge.py -o "$MERGEDIMAGE $(ls *SCL_20m.jp2)
	gdal_merge.py -o $MERGEDIMAGE $(ls *SCL_20m.jp2)
else
	echo PASSING $MERGEDIMAGE FOUND
fi

CROPEDIMAGE=../merged/$DIRNAME"_SCL_20m.tif"
if [  ! -e $CROPEDIMAGE  ]; then
	gdal_translate -projwin $BOX -projwin_srs WGS84 -ot Byte -of JPEG $MERGEDIMAGE $CROPEDIMAGE
else
	echo PASSING $CROPEDIMAGE FOUND
fi

cd ..



